Jump to content
Security Warehouse Support Forum

Recommended Posts

Hi there

I'm thinking about installing the Telecom Elite Premier 48 in our home and I'd like to use the Connect communicator module.  This module requires firmware version 4 but the SW website indicates that control panel is supplied with version 3.  Is this the case, or is the website out of date?

If it does come with version 3 then can it be upgraded and how?  Are any extra parts such as PC communicator boards required?

Many thanks

Guy

Link to post
Share on other sites
  • 2 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.